Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface CurveValuePair

All Superinterfaces:
  GeometryValuePair

    @UML(identifier="CV_CurveValuePair",
         specification=ISO_19123)
    public interface CurveValuePair

extends GeometryValuePair

A geometry-value pair that has a curve as the value of its geometry attribute.

Method Summary
`DomainObject` | `getGeometry()` The domain object that is a member of this geometry-value pair.

Methods inherited from interface GeometryValuePair
`getValue`

Method Detail

### getGeometry

    @UML(identifier="geometry",
         obligation=MANDATORY,
         specification=ISO_19123)
    DomainObject getGeometry()

  The domain object that is a member of this geometry-value pair.

  Specified by:
    `getGeometry` in interface `GeometryValuePair`
  TODO:
    According ISO-19123, the return value should be `Curve`. But in GeoAPI, geometry objects do not extends `DomainObject`...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.